wxWidgets: wxHtmlWinTagHandler Class Reference

| Version: 3.0.4

Public Member Functions | Protected Attributes | List of all members
wxHtmlWinTagHandler Class Reference
Class List by Category » HTML

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/html/winpars.h>`

Inheritance diagram for wxHtmlWinTagHandler:
[legend]

## Detailed Description

This is basically wxHtmlTagHandler except that it is extended with protected member m_WParser pointing to the wxHtmlWinParser object (value of this member is identical to wxHtmlParser's m_Parser).

##

Library: wxHTML

<>< =''>:</>&;&;< =''>\ </></>

## Public Member Functions
| wxHtmlWinTagHandler ()
| Constructor. More...
virtual void | SetParser (wxHtmlWinParser *parser)
| Assigns parser to this handler. More...
Public Member Functions inherited from wxHtmlTagHandler
| wxHtmlTagHandler ()
| Constructor. More...
virtual wxString | GetSupportedTags ()=0
| Returns list of supported tags. More...
virtual bool | HandleTag (const wxHtmlTag &tag)=0
| This is the core method of each handler. More...
virtual void | SetParser (wxHtmlParser *parser)
| Assigns parser to this handler. More...
wxHtmlParser * | GetParser () const
| Returns the parser associated with this tag handler. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Protected Attributes
wxHtmlWinParser * | m_WParser
| Value of this attribute is identical to value of m_Parser. More...
Protected Attributes inherited from wxHtmlTagHandler
wxHtmlParser * | m_Parser
| This attribute is used to access parent parser. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Additional Inherited Members
Protected Member Functions inherited from wxHtmlTagHandler
void | ParseInner (const wxHtmlTag &tag)
| This method calls parser's wxHtmlParser::DoParsing method for the string between this tag and the paired ending tag: More...
void | ParseInnerSource (const wxString &source)
| Parses given source as if it was tag's inner code (see wxHtmlParser::GetInnerSource). More...
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...

## Constructor & Destructor Documentation

## ◆ wxHtmlWinTagHandler()

wxHtmlWinTagHandler::wxHtmlWinTagHandler | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ SetParser()

virtual void wxHtmlWinTagHandler::SetParser | ( | wxHtmlWinParser * | parser | ) |
| virtual

Assigns parser to this handler.

Each instance of handler is guaranteed to be called only from the one parser.

## Member Data Documentation

## ◆ m_WParser

wxHtmlWinParser* wxHtmlWinTagHandler::m_WParser
| protected

Value of this attribute is identical to value of m_Parser.

The only difference is that m_WParser points to wxHtmlWinParser object while m_Parser points to wxHtmlParser object. (The same object, but overcast.)